Subject: Re: How can I have a working chmod
From: [email-masked] (JJ Streicher-Bremer)

13 Nov 1998 04:31:26 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: John Mullee <[email-masked]>
Cc: Guglielmo Pasa <[email-masked]>, [email-masked]

I have noticed that the cygnus chmod program seems to have little effect
on the actual filesystem permissions.  I personally use a native NT
utility (cacls) to modify the filesystem permissions.  Also there are
native NT versions of ls.exe and chmod.exe that come with the NT
resource kit that map quite well to the real NT filesystem permissions. 
I have renamed them ntls.exe and ntchmod.exe and placed them in my
path.  Unfortunately (as with most things from Redmond) they are not
quite standard and have some quirks and their own special syntax.

Hope this helps.

JJ

John Mullee wrote:
> 
> At 23:12 1998-11-09 +0100, you wrote:
> >Why doesn't chmod work as expected.
> >It doesn't change anything.
> 
> in bash:
> 
> you might have to
>  mount C:\\cygnus\\cygwin-b20\\H-i586-cygwin32\\etc /etc
> first.
> $ mkpasswd -l > /etc/passwd
> $ mkgroup -l > /etc/group
> and then, if running under NT, add 'ntea' to the CYGWIN environment variable
> --8<-- cygnus.bat
> SET MAKE_MODE=UNIX
> SET CYGWIN=  binmode ntea mixed tty strip-title glob
> SET HOME=C:
> C:\cygnus\cygwin-b20\H-i586-cygwin32\bin\bash --login
> --8<--
> note that 2 spaces are necessary after the '='.
> 
> This might only work under NT .. ?
> 
> John
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".